libzypp 17.38.15

zypp::str::detail::RefStore< NoPrint & > Struct Reference

`#include <zypp-core/base/LogTools.h>`

## Public Member Functions
constexpr | RefStore ()
constexpr | RefStore (const NoPrint &)
NoPrint && | get ()

## Private Attributes
NoPrint & | _val

## Detailed Description

Definition at line 120 of file LogTools.h.

## Constructor & Destructor Documentation

## ◆ RefStore() [1/2]

zypp::str::detail::RefStore< NoPrint & >::RefStore | ( |  | ) |
| inline constexpr

Definition at line 121 of file LogTools.h.

## ◆ RefStore() [2/2]

zypp::str::detail::RefStore< NoPrint & >::RefStore | ( | const NoPrint & |  | ) |
| inline constexpr

Definition at line 121 of file LogTools.h.

## Member Function Documentation

## ◆ get()

NoPrint & & zypp::str::detail::RefStore< NoPrint & >::get | ( |  | ) |
| inline

Definition at line 66 of file LogTools.h.

## Member Data Documentation

## ◆ _val

NoPrint & zypp::str::detail::RefStore< NoPrint & >::_val
| private

Definition at line 70 of file LogTools.h.

The documentation for this struct was generated from the following file:

- zypp-core/base/LogTools.h